Ask Your Question
0

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies

asked 2017-10-30 20:51:26 -0600

Martelogie gravatar image

updated 2017-10-30 20:56:26 -0600

OS ubuntu 17.10 i'm using this manual. When executing the following command rosdep install --from-paths src --ignore-src --rosdistro lunar -y I get the following:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
rosconsole: No definition of [boost] for OS version []
pcl_conversions: No definition of [libpcl-all-dev] for OS version []
camera_info_manager: No definition of [boost] for OS version []
catkin: No definition of [python-nose] for OS version []
class_loader: No definition of [boost] for OS version []
rosgraph: No definition of [python-mock] for OS version []
resource_retriever: No definition of [python-rospkg] for OS version []
webkit_dependency: No definition of [python-qt5-bindings-webkit] for OS version []
nodelet_topic_tools: No definition of [boost] for OS version []
rqt_graph: No definition of [python-rospkg] for OS version []
rostest: No definition of [boost] for OS version []
rqt_console: No definition of [python-rospkg] for OS version []
qt_gui: No definition of [python-rospkg] for OS version []
rospack: No definition of [python-coverage] for OS version []
depth_image_proc: No definition of [boost] for OS version []
pcl_ros: No definition of [libvtk-java] for OS version []
rqt_runtime_monitor: No definition of [python-rospkg] for OS version []
python_qt_binding: No definition of [python-qt5-bindings] for OS version []
laser_geometry: No definition of [python-numpy] for OS version []
image_proc: No definition of [boost] for OS version []
rviz: No definition of [yaml-cpp] for OS version []
collada_parser: No definition of [collada-dom] for OS version []
rqt_plot: No definition of [python-rospkg] for OS version []
rqt_bag_plugins: No definition of [python-imaging] for OS version []
rqt_bag: No definition of [python-rospkg] for OS version []
actionlib: No definition of [boost] for OS version []
roslib: No definition of [python-rospkg] for OS version []
qt_gui_py_common: No definition of [python-rospkg] for OS version []
python_orocos_kdl: No definition of [python-sip] for OS version []
rosparam: No definition of [python-yaml] for OS version []
diagnostic_common_diagnostics: No definition of [python-psutil] for OS version []
roslaunch: No definition of [python-yaml] for OS version []
camera_calibration_parsers: No definition of [yaml-cpp] for OS version []
rqt_publisher: No definition of [python-rospkg] for OS version []
roswtf: No definition of [python-rospkg] for OS version []
geometric_shapes: No definition of [boost] for OS version []
stage_ros: No definition of [boost] for OS version []
rqt_robot_steering: No definition of [python-rospkg] for OS version []
rqt_web: No definition of [python-rospkg] for OS version []
genpy: No definition of [python-yaml] for OS version []
roslisp: No definition of [boost] for OS version []  
message_filters: No definition of [boost] for OS version []
rosmake: No definition of [python-rospkg] for OS version []
rosbag: No definition of [python-rospkg] for OS version []
rqt_shell: No definition of [python-rospkg] for OS version []
rostime: No definition of [boost] for OS version []
roscreate: No definition of [python-rospkg] for OS version []
rqt_py_console: No definition of [python-rospkg] for OS version []
rqt_topic: No definition of [python-rospkg] for OS version []
opencv3: No definition of [python-numpy] for OS version []
rospy: No definition of [python-yaml] for OS version []
rosunit: No definition of [python-rospkg] for OS version []
qt_dotgraph: No definition of [python-pygraphviz] for OS version []
rqt_top: No definition of [python-psutil] for OS version []
rqt_service_caller: No definition of [python-rospkg] for OS version []
cv_bridge: No definition of [python-numpy] for OS version []
rqt_rviz: No definition of [boost] for OS version []
rosbag_storage: No definition ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
2

answered 2017-10-31 03:56:28 -0600

gvdhoorn gravatar image

ROS Lunar is not supported on Ubuntu 17.10, that is probably why you are getting that error.

You can try to see whether export ROS_OS_OVERRIDE=ubuntu:17.04:zesty works with rosdep, but it's still not supported.

edit flag offensive delete link more

Comments

1

You can also override the OS in rosdep with the -o flag like rosdep install --from-paths src --ignore-src -o ubuntu:zesty --rosdistro lunar -y

Ed Venator gravatar imageEd Venator ( 2017-10-31 21:20:28 -0600 )edit
0

answered 2017-10-31 00:03:07 -0600

shubham gravatar image

I think you don't follow instructions before installing lunar. So please follow all instructions from this link: http://wiki.ros.org/lunar/Installatio...

edit flag offensive delete link more

Comments

when i type the following command sudo apt-get install ros-lunar-desktop-full i get that Unable to locate package ros-lunar-desktop-full. So i tried installing from source, but got error which described

Martelogie gravatar imageMartelogie ( 2017-10-31 02:38:05 -0600 )edit

ok then probably @gvdhoorn should be right.

shubham gravatar imageshubham ( 2017-10-31 18:40:34 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2017-10-30 20:51:26 -0600

Seen: 3,315 times

Last updated: Oct 31 '17